Problem adapting script to 2.32

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

Post Reply
Bandoler
Posts: 28
Joined: Mon Oct 14, 2002 3:16 pm
Location: Somewhere between the 1 and the 0

Problem adapting script to 2.32

Post by Bandoler » Sun Feb 29, 2004 10:53 pm

Hello,

Before posting here i have look and done some "search"s in the forums to try to find an answer to this. I promise :)

I'm trying to rework a script i wrote for blende 2.28 (it more or less run with it) but in 2.32 i get a message complaining with importing module warnings which i don't have included in my script myself.
However. before complaining about this, it prints a message that i think is very related:

"import site" failed; use -v for traceback
sys_init:warning no sitedirs added from site module
<some warning that are my fault>
ImportError : no module named warnings

I'm under winxp, and have just clean installed blender 2.32 (and reinstalled 2.28 to check that it worked there)

Am i missing something in the installation?

(bandoler)

suntzu
Posts: 0
Joined: Wed Feb 18, 2004 6:20 pm
Location: Berlin
Contact:

Post by suntzu » Mon Mar 01, 2004 1:24 pm

HighLow,

I get the same message when I start Blender ( I also work under XP). But because I'm only 3 Blendermonth old I thought it was my fault. So I cleaned and reinstalled Blender and installed the last version of Python. I've learned a lot, but the warning message still remains the same. :?


--------------------------------
THINK!

theeth
Posts: 500
Joined: Wed Oct 16, 2002 5:47 am
Location: Montreal
Contact:

Post by theeth » Mon Mar 01, 2004 3:25 pm

You need Python 2.2.3, not the last version and not previous versions (well, previous versions up to 2.0 would probably work, but not earlier).

Martin
Life is what happens to you when you're busy making other plans.
- John Lennon

Panther
Posts: 0
Joined: Tue Mar 04, 2003 7:55 pm

Post by Panther » Mon Mar 01, 2004 7:41 pm

Hi Bandoler,

Out of curiosity, what script would that be ???

Is it anything to do with your work with Mattias ( I'm sure you know what I mean ) ??? :wink:

Bandoler
Posts: 28
Joined: Mon Oct 14, 2002 3:16 pm
Location: Somewhere between the 1 and the 0

Post by Bandoler » Tue Mar 02, 2004 12:15 am

Hello,

News... it works under Linux. But maybe i've done something very basic wrong: i don't have python installed in windows. But is python required to run python scripts in Blender, i thought it provided already a basic python environment...

Anyway, i prefer to work under Linux :)

And yes, i'm working with the neoengine exporter again, but only trying an alternative way to the current one. Two other people have taken over the project and are doing a great work with it.

(bandoler)

Panther
Posts: 0
Joined: Tue Mar 04, 2003 7:55 pm

Post by Panther » Tue Mar 02, 2004 2:02 pm

And yes, i'm working with the neoengine exporter again, but only trying an alternative way to the current one. Two other people have taken over the project and are doing a great work with it.
News... too.. good... to... be... true, about... to... explode !!! :wink:

Seriously, this is great news !!! :D

Who are the other 2 guys ( or gals ) working on this ???

I'll understand if you don't want want to give-out any names, but are they from the Blender or Neo community ( and how far have they got ) ???

Many thanks in advance !!!

dandeloreon1984
Posts: 0
Joined: Wed Jan 21, 2004 11:12 pm
Contact:

Post by dandeloreon1984 » Tue Mar 02, 2004 5:40 pm

Well, i am adapting an ase script to version 2.32

Post Reply